PgBeam Docs

Add a message to a support case

POST
/v1/organizations/{org_id}/support/cases/{case_id}/messages

Adds a new message to an existing support case thread.

Authorization

AuthorizationBearer <token>

JWT issued by Better Auth. Verified via JWKS.

In: header

Path Parameters

org_id*string

Unique organization identifier.

case_id*string

Unique support case identifier (prefixed, e.g. sc_xxx).

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request body for adding a message to a support case.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/organizations/org_abc123/support/cases/string/messages" \  -H "Content-Type: application/json" \  -d '{    "body": "string"  }'
{  "id": "sm_01h455vb4pex5vsknk084sn02q",  "case_id": "string",  "source": "user",  "author_name": "string",  "author_image": "string",  "body": "string",  "slack_user_id": "string",  "created_at": "2019-08-24T14:15:22Z"}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}